Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.fgov.ehealth.standards.kmehr.schema.v1
Class Daytime

    java.lang.Object
      be.fgov.ehealth.standards.kmehr.schema.v1.Daytime

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2022-12-12T04:58:01+01:00",
               comments="JAXB RI v2.2.11")
    public class Daytime

extends Object
implements Serializable

Java class for anonymous complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType>
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <choice>
             <element name="time" type="{http://www.ehealth.fgov.be/standards/kmehr/dt/v1}time"/>
             <element name="dayperiod" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}dayperiodType"/>
           </choice>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`Daytime()`

Method Summary
`DayperiodType` | `getDayperiod()` Gets the value of the dayperiod property.
`org.joda.time.DateTime` | `getTime()` Gets the value of the time property.
`void` | `setDayperiod(DayperiodType value)` Sets the value of the dayperiod property.
`void` | `setTime(org.joda.time.DateTime value)` Sets the value of the time property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Daytime

    public Daytime()

Method Detail

### getDayperiod

    public DayperiodType getDayperiod()

  Gets the value of the dayperiod property.

  Returns:
    possible object is `DayperiodType`

### setDayperiod

    public void setDayperiod(DayperiodType value)

  Sets the value of the dayperiod property.

  Parameters:
    `value` - allowed object is `DayperiodType`

### getTime

    public org.joda.time.DateTime getTime()

  Gets the value of the time property.

  Returns:
    possible object is `String`

### setTime

    public void setTime(org.joda.time.DateTime value)

  Sets the value of the time property.

  Parameters:
    `value` - allowed object is `String`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSPRACTICALNURSE 3.24.0-beta-4 API
Copyright © {inceptionYear}-2022 eHealth. All Rights Reserved.